%bcond_with tests

%define python3_pkgversion 3.11
%global pypi_name mdurl
%global pypi_version 0.1.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        8.0.3%{?dist}
Summary:        Markdown URL utilities

# SPDX
License:        MIT
URL:            https://github.com/executablebooks/mdurl
Source0:        %{url}/archive/%{version}/mdurl-%{version}.tar.gz
# Oracle Patches
Patch1001:	0001-Add-setup.py-file.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%global _description %{expand:
URL utilities for markdown-it parser.}


%description %_description

%package -n     python%{python3_pkgversion}-mdurl
Summary:        %{summary}

%description -n python%{python3_pkgversion}-mdurl %_description


%prep
%autosetup -p1 -n mdurl-%{version}
ln -s src/%{pypi_name} %{pypi_name}
# Remove coverage from the test requirements
sed -i "s/pytest-cov//" tests/requirements.txt


%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%pytest
%endif


%files -n python%{python3_pkgversion}-mdurl
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/tests


%changelog
* Thu Sep 19 2024 Carlos Heiras <carlos.heiras@oracle.com> - 0.1.2-8.0.3
- OLAM-374 Rework setup.py patch

* Tue Aug 27 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 0.1.2-8.0.2
- Do not package tests
- Fix python code packaging

* Mon Aug 05 2024 Darren Archibald <darren.archibald@oracle.com> - 0.1.2-8.0.1
- Modify the project to be buildable without pyproject toolset

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.1.2-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Python Maint <python-maint@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 13 2022 Karolina Surma <ksurma@redhat.com> - 0.1.2-1
- Update to 0.1.2
Resolves: rhbz#2118132

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.1.1-2
- Rebuilt for Python 3.11

* Tue Apr 19 2022 Lumír Balhar <lbalhar@redhat.com> - 0.1.1-1
- Update to 0.1.1
Resolves: rhbz#2074703

* Mon Jan 31 2022 Karolina Surma <ksurma@redhat.com> - 0.1.0-1
- Initial package
